const changeColorBtn = document.getElementById("changeColorBtn");
const body = document.querySelector("body");

// При загрузке страницы проверяем, есть ли значение в LocalStorage
const savedColor = localStorage.getItem("bgColor");
if (savedColor) {
  body.style.backgroundColor = savedColor;
}

// Обработчик события клика на кнопке
changeColorBtn.addEventListener("click", () => {
  const randomColor = getRandomColor();
  body.style.backgroundColor = randomColor;
  localStorage.setItem("bgColor", randomColor);
});

// Функция для генерации случайного цвета в формате HEX
function getRandomColor() {
  const letters = "0123456789ABCDEF";
  let color = "#";
  for (let i = 0; i < 6; i++) {
    color += letters[Math.floor(Math.random() * 16)];
  }
  return color;
}
